* {
	@include box-sizing(border-box);
}
*:before,
*:after {
	@include box-sizing(border-box);
}


html,
body {
	min-height: 100%;
}

body {
	color: $base;
	font-family: $font-family-base;
	background-color: $gray-100;
	font-size: font-size-rel(14px);
	line-height: font-size-rel(19px);


	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(17px);
		line-height: font-size-rel(23px);
	}
}

.container {
	margin-right: auto;
	margin-left: auto;
	padding-left:  16px;
	padding-right: 16px;
	@include clearfix;

	@media (min-width: $screen-sm-min) {
		width: $container-sm;
	}

	@media (min-width: $screen-md-min) {
		width: $container-md;
	}

	@media (min-width: $screen-lg-min) {
		width: $container-lg;
	}

	@media (min-width: $screen-xl-min) {
		width: $container-xl;
	}
}


.root {
	width: 100%;
	min-height: 100vh;
	max-width: 100%;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	padding-bottom: 180px;

	&__main {
		flex-grow: 1;
		padding-top: 15px;

	}

	&__footer {
		z-index: 100;
		position: relative;
	}

	@media (min-width: $screen-sm-min) {
		padding-bottom: 0;

		&__main {
			z-index: 150;
			position: relative;
			padding-top: 25px;
			padding-bottom: 150px;

			&--down {
				z-index: 1;
				padding-bottom: 0;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__main {
			padding-bottom: 200px;

			&--down {
				padding-bottom: 0;
			}
		}
	}
}



// Headings
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	margin: 0;
	padding: 0;
	font-weight: 700;
	line-height: 1.2;
}

h1, .h1 {
	font-weight: 900;
	margin-bottom: 20px;
	text-transform: uppercase;
	font-size: font-size-rel(28px);
	line-height: 117%;
	font-family: $font-family-head;

	@media (min-width: $screen-md-min) {
		margin-bottom: 23px;
		font-size: font-size-rel(40px);
	}

	@media (min-width: $screen-lg-min) {
		font-size: font-size-rel(44px);
	}

	@media (min-width: $screen-xl-min) {
		font-size: font-size-rel(54px);
	}
}

h2, .h2 {
	font-weight: 900;
	margin-bottom: 15px;
	text-transform: uppercase;
	font-size: font-size-rel(28px);
	line-height: 117%;
	font-family: $font-family-head;

	@media (min-width: $screen-md-min) {
		font-size: font-size-rel(40px);
	}

	@media (min-width: $screen-lg-min) {
		font-size: font-size-rel(44px);
	}

	@media (min-width: $screen-xl-min) {
		font-size: font-size-rel(54px);
	}

	@media (min-width: $screen-xl-min) {

	}
}

h3, .h3 {
	font-size: 2.4rem;
	font-family: $font-family-head;
}

h4, .h4 {
	font-size: 2rem;
	font-family: $font-family-head;
}

h5, .h5 {
	font-size: 1.6rem;
	font-family: $font-family-head;
}

h6, .h6 {
	font-size: 1.4rem;
	font-family: $font-family-head;
}

a {
	color: $purple-100;
	text-decoration: none;
}

p {
	margin: 0 0 20px 0;
}
